summaryrefslogtreecommitdiffstats
path: root/remote/rootfs
diff options
context:
space:
mode:
authorSimon Rettberg2013-05-03 19:13:33 +0200
committerSimon Rettberg2013-05-03 19:13:33 +0200
commit55f6eb64d679d00a5c89e6eb92c9b7d2ef1ec824 (patch)
tree8bb350b5da6e62e02aa460e8db4ceb517f5aae24 /remote/rootfs
parentdrm not builtin anymore (fixes loading problems?), disable evbug (diff)
parentMerge branch 'master' of git.openslx.org:openslx-ng/tm-scripts (diff)
downloadtm-scripts-55f6eb64d679d00a5c89e6eb92c9b7d2ef1ec824.tar.gz
tm-scripts-55f6eb64d679d00a5c89e6eb92c9b7d2ef1ec824.tar.xz
tm-scripts-55f6eb64d679d00a5c89e6eb92c9b7d2ef1ec824.zip
Merge branch 'master' of simonslx:openslx-ng/tm-scripts
Diffstat (limited to 'remote/rootfs')
-rw-r--r--remote/rootfs/rootfs-stage31/rootfs-stage31.build6
-rw-r--r--remote/rootfs/rootfs-stage32/data/etc/profile8
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script2
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/usr/sbin/mountexport10
-rw-r--r--remote/rootfs/rootfs-stage32/rootfs-stage32.build6
5 files changed, 16 insertions, 16 deletions
diff --git a/remote/rootfs/rootfs-stage31/rootfs-stage31.build b/remote/rootfs/rootfs-stage31/rootfs-stage31.build
index 19a5838a..9e4d7663 100644
--- a/remote/rootfs/rootfs-stage31/rootfs-stage31.build
+++ b/remote/rootfs/rootfs-stage31/rootfs-stage31.build
@@ -24,9 +24,9 @@ post_copy() {
copy_firmware
copy_kernel
- # copy busybox that has been under /openslx back to /
- cp -r "${TARGET_BUILD_DIR}"/openslx/* "${TARGET_BUILD_DIR}"
- rm -rf "${TARGET_BUILD_DIR}/openslx"
+ # copy busybox that has been under /opt/openslx back to /
+ cp -r "${TARGET_BUILD_DIR}"/opt/openslx/* "${TARGET_BUILD_DIR}"
+ rm -rf "${TARGET_BUILD_DIR}/opt/openslx"
}
#
diff --git a/remote/rootfs/rootfs-stage32/data/etc/profile b/remote/rootfs/rootfs-stage32/data/etc/profile
index ff29e9c5..a9b85a9c 100644
--- a/remote/rootfs/rootfs-stage32/data/etc/profile
+++ b/remote/rootfs/rootfs-stage32/data/etc/profile
@@ -5,10 +5,10 @@ export PATH=\
/sbin:\
/usr/bin:\
/usr/sbin:\
-/openslx/bin:\
-/openslx/sbin:\
-/openslx/usr/bin:\
-/openslx/usr/sbin
+/opt/openslx/bin:\
+/opt/openslx/sbin:\
+/opt/openslx/usr/bin:\
+/opt/openslx/usr/sbin
# If running interactively, then:
if [ "$PS1" ]; then
diff --git a/remote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script b/remote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script
index b4cd0ee5..773a7370 100755
--- a/remote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script
+++ b/remote/rootfs/rootfs-stage32/data/etc/udhcpc.openslx.script
@@ -20,7 +20,7 @@
RESOLV_CONF="/etc/resolv.conf"
IP_CONF="/tmp/udhcpc_ip_config"
-export PATH=$PATH:/openslx/sbin:/openslx/bin
+export PATH=$PATH:/opt/openslx/sbin:/opt/openslx/bin
set >> /root/udhcpc_args
diff --git a/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport b/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport
index 61176364..cc08728e 100755
--- a/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport
+++ b/remote/rootfs/rootfs-stage32/data/usr/sbin/mountexport
@@ -1,6 +1,6 @@
#!/bin/bash
-export PATH=$PATH:/openslx/usr/sbin:/openslx/usr/bin:/openslx/sbin:/openslx/bin
+export PATH=$PATH:/opt/openslx/usr/sbin:/opt/openslx/usr/bin:/opt/openslx/sbin:/opt/openslx/bin
if grep "Ubuntu" "/etc/issue" >/dev/null; then
EXPORT="132.230.8.113:/srv/ubuntu1304"
@@ -11,7 +11,7 @@ else
exit 1
fi
-echo "Mounting ${EXPORT} to /openslx/mnt"
-mount -t nfs -o ro,async,nolock,vers=3 "$EXPORT" /openslx/mnt || { echo "Fail." && exit 1; }
-echo "Appending /openslx/mnt to /"
-mount -o remount,append:/openslx/mnt=ro / || { echo "Fail." && exit 1; }
+echo "Mounting ${EXPORT} to /opt/openslx/mnt"
+mount -t nfs -o ro,async,nolock,vers=3 "$EXPORT" /opt/openslx/mnt || { echo "Fail." && exit 1; }
+echo "Appending /opt/openslx/mnt to /"
+mount -o remount,append:/opt/openslx/mnt=ro / || { echo "Fail." && exit 1; }
diff --git a/remote/rootfs/rootfs-stage32/rootfs-stage32.build b/remote/rootfs/rootfs-stage32/rootfs-stage32.build
index 164a3464..04b6c5b4 100644
--- a/remote/rootfs/rootfs-stage32/rootfs-stage32.build
+++ b/remote/rootfs/rootfs-stage32/rootfs-stage32.build
@@ -56,14 +56,14 @@ build() {
post_copy() {
# make basic directory structure
- mkdir -p "${TARGET_BUILD_DIR}"/{bin,dev,proc,lib,etc,mnt,sys,var/run,var/lock,var/log,run/lock,run/shm,openslx/mnt}
+ mkdir -p "${TARGET_BUILD_DIR}"/{bin,dev,proc,lib,etc,mnt,sys,var/run,var/lock,var/log,run/lock,run/shm,opt/openslx/mnt}
# copy devices from running system
cp -a /dev/{console,kmsg,mem,null,shm,tty,tty0,tty1,tty9,fb0,urandom,zero} \
"${TARGET_BUILD_DIR}"/dev || perror "Copying devices from running system failed."
- # set /etc/environment to include /openslx/bin and /openslx/sbin
- echo "PATH=\"/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/openslx/sbin:/openslx/bin\"" \
+ # set /etc/environment to include /opt/openslx/bin and /opt/openslx/sbin
+ echo "PATH=\"/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/openslx/sbin:/opt/openslx/bin\"" \
> "${TARGET_BUILD_DIR}/etc/environment"
# copy static files